<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_bdf46cfa1aba0af3" . "8c9a9fa98dfd831b" => base64_decode("YXBwX3B1Ymxp" . "c2g="), "_1be4a86ec54058894" . "c0dc8eeb44bf65a" => base64_decode("Y29tbW9uLnR5cGUu" . "cHViX3BhZ2Vz"), "_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "_9f55fef472b741cb222ce4503e90012" . "a" => base64_decode("cHViX3BhZ" . "2U="));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_9f55fef472b" . "741cb222ce45" . "03e90012a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_1be4a86ec54058894c0dc8" . "eeb44bf65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_bdf46cfa1aba0af38c9a9fa98df" . "d831b"];
    }
}